package com.bocloud.ims.entity.resource.powervc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.meta.PKStrategy;

public class NetworkSeaAdapter {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("network_id")
    private Long networkId;
    @Column("network_uuid")
    @IgnoreAll
    private String networkUuid;
    @Column("sea_id")
    private Long seaId;
    @Column("server_id")
    @IgnoreAll
    private Long serverId;
    @Column("server_host")
    @IgnoreAll
    private String serverHost;
    @Column("lpar_id")
    @IgnoreAll
    private Integer lparId;
    @Column("sea_name")
    @IgnoreAll
    private String seaName;

    public String getNetworkUuid() {
        return networkUuid;
    }

    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }

    public Integer getLparId() {
        return lparId;
    }

    public void setLparId(Integer lparId) {
        this.lparId = lparId;
    }

    public String getSeaName() {
        return seaName;
    }

    public void setSeaName(String seaName) {
        this.seaName = seaName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getNetworkId() {
        return networkId;
    }

    public void setNetworkId(Long networkId) {
        this.networkId = networkId;
    }

    public Long getSeaId() {
        return seaId;
    }

    public void setSeaId(Long seaId) {
        this.seaId = seaId;
    }
}

